<template>
    <div class="report-overview" style="overflow-y: auto">
        <Docx
            :fileUrl="tableOptions.url"
            :fileId="tableOptions.fileId"
            v-if="!loading"
        />
    </div>
</template>

<script>
import Docx from '@/components/docx/index.vue'

export default {
    name: 'docPreview',
    components: {Docx},
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
        }
    },
    watch: {
        'tableOptions.url': {
            handler: function () {
                this.loading = true
                this.updateDoc()
            },
            immediate: true,
        },
        'tableOptions.fileId': {
            handler: function (newVal) {
                this.loading = true
                this.updateDoc()
            },
            immediate: true,
        },
    },
    methods: {
        updateDoc() {
            setTimeout(() => {
                this.loading = false
            }, 200)
        },
    },
}
</script>

<style lang="scss">
.report-overview {
  height: 76vh;
}
</style>